%global gem_name    mg

Summary:       Minimalist way to build and publish gems using Rake. Also build tarballs
Name:          rubygem-%{gem_name}
Version:       0.0.8
Release:       9.2%{?dist}
License:       WTFPL

URL:           http://github.com/sr/mg
Source0:       http://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildArch:     noarch

BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby

Requires:      ruby(release)
Requires:      ruby(rubygems)
Requires:      ruby
Requires:      rubygem(rake)

Provides:      rubygem(%{gem_name}) = %{version}


%description
Minimalist way to build and publish gems using Rake. Also build tarballs.

%package doc
Summary:   Documentation for %{name}
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch


%description doc
Documentation for %{name}


%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# apply any patches here


%build
gem build %{gem_name}.gemspec

%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
      %{buildroot}%{gem_dir}/


%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/README.mkd


%files doc
%doc %{gem_docdir}


%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-9.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-8.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 19 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.0.8-7.2
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-6.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan  7 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.0.8-5.2
- Now installs the repackaged gem.

* Tue Dec 25 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.0.8-5.1
- Removed Group fields.
- Refactored the specfile to match current Ruby packaging guidelines.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 08 2012 Vít Ondruch <vondruch@redhat.com> - 0.0.8-4
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 17 2011 Darryl L. Pierce <dpierce@redhat.com> - 0.0.8-2
- Moved README.mkd to the main package
- Removed trailing period from summary.

* Mon Sep 12 2011 Darryl L. Pierce <dpierce@redhat.com> - 0.0.8-1
- Initial package
